ClarisWksSpreadsheet Class Reference

the main class to read the text part of Claris Works file More...

`#include <ClarisWksSpreadsheet.hxx>`

## Public Member Functions

| ClarisWksSpreadsheet (ClarisWksDocument &document)
| constructor
virtual | ~ClarisWksSpreadsheet ()
| destructor
int | version () const
| returns the file version
int | numPages () const
| returns the number of pages
std::shared_ptr< ClarisWksStruct::DSET > | readSpreadsheetZone (ClarisWksStruct::DSET const &zone, MWAWEntry const &entry, bool &complete)
| reads the zone Text DSET
bool | canSendSpreadsheetAsGraphic (int) const
| check if we can send a spreadsheet as graphic
bool | sendSpreadsheet (int number, MWAWListenerPtr listener)
| sends the zone data to the listener (if it exists )
bool | sendSpreadsheetAsTable (int number, MWAWListenerPtr listener)
| sends the zone data to the listener (if it exists )

## Protected Member Functions

bool | readZone1 (ClarisWksSpreadsheetInternal::Spreadsheet &sheet)
| try to read the first spreadsheet zone
bool | readRowHeightZone (ClarisWksSpreadsheetInternal::Spreadsheet &sheet)
| try to read the row height zone

## Protected Attributes

ClarisWksDocument & | m_document
| the document
MWAWParserStatePtr | m_parserState
| the parser state
std::shared_ptr< ClarisWksSpreadsheetInternal::State > | m_state
| the state
MWAWParser * | m_mainParser
| the main parser;

## Private Member Functions

| ClarisWksSpreadsheet (ClarisWksSpreadsheet const &orig)=delete
ClarisWksSpreadsheet & | operator= (ClarisWksSpreadsheet const &orig)=delete

## Friends

class | ClarisWksParser

## Detailed Description

the main class to read the text part of Claris Works file

## Constructor & Destructor Documentation

## ClarisWksSpreadsheet() [1/2]

ClarisWksSpreadsheet::ClarisWksSpreadsheet | ( | ClarisWksDocument & | document | ) |

explicit

constructor

Referenced by ClarisWksSpreadsheet(), and operator=().

## ~ClarisWksSpreadsheet()

ClarisWksSpreadsheet::~ClarisWksSpreadsheet | ( |  | ) |

virtual

destructor

## ClarisWksSpreadsheet() [2/2]

ClarisWksSpreadsheet::ClarisWksSpreadsheet | ( | ClarisWksSpreadsheet const & | orig | ) |

private delete

## Member Function Documentation

## canSendSpreadsheetAsGraphic()

bool ClarisWksSpreadsheet::canSendSpreadsheetAsGraphic | ( | int |  | ) | const

inline

check if we can send a spreadsheet as graphic

## numPages()

int ClarisWksSpreadsheet::numPages | ( |  | ) | const

returns the number of pages

## operator=()

ClarisWksSpreadsheet & ClarisWksSpreadsheet::operator= | ( | ClarisWksSpreadsheet const & | orig | ) |

private delete

## readRowHeightZone()

bool ClarisWksSpreadsheet::readRowHeightZone | ( | ClarisWksSpreadsheetInternal::Spreadsheet & | sheet | ) |

protected

try to read the row height zone

Referenced by readSpreadsheetZone().

## readSpreadsheetZone()

std::shared_ptr< ClarisWksStruct::DSET > ClarisWksSpreadsheet::readSpreadsheetZone | ( | ClarisWksStruct::DSET const & | zone,
|  | MWAWEntry const & | entry,
|  | bool & | complete )

reads the zone Text DSET

## readZone1()

bool ClarisWksSpreadsheet::readZone1 | ( | ClarisWksSpreadsheetInternal::Spreadsheet & | sheet | ) |

protected

try to read the first spreadsheet zone

Referenced by readSpreadsheetZone().

## sendSpreadsheet()

bool ClarisWksSpreadsheet::sendSpreadsheet | ( | int | number,
|  | MWAWListenerPtr | listener )

sends the zone data to the listener (if it exists )

## sendSpreadsheetAsTable()

bool ClarisWksSpreadsheet::sendSpreadsheetAsTable | ( | int | number,
|  | MWAWListenerPtr | listener )

sends the zone data to the listener (if it exists )

Referenced by sendSpreadsheet().

## version()

int ClarisWksSpreadsheet::version | ( |  | ) | const

returns the file version

Referenced by readSpreadsheetZone(), and readZone1().

## Friends And Related Symbol Documentation

## ClarisWksParser

friend class ClarisWksParser

friend

Referenced by ClarisWksParser.

## Member Data Documentation

## m_document

ClarisWksDocument& ClarisWksSpreadsheet::m_document

protected

the document

Referenced by ClarisWksSpreadsheet(), and readSpreadsheetZone().

## m_mainParser

MWAWParser* ClarisWksSpreadsheet::m_mainParser

protected

the main parser;

Referenced by ClarisWksSpreadsheet().

## m_parserState

MWAWParserStatePtr ClarisWksSpreadsheet::m_parserState

protected

the parser state

Referenced by ClarisWksSpreadsheet(), readRowHeightZone(), readSpreadsheetZone(), readZone1(), sendSpreadsheet(), sendSpreadsheetAsTable(), and version().

## m_state

std::shared_ptr<ClarisWksSpreadsheetInternal::State> ClarisWksSpreadsheet::m_state

protected

the state

Referenced by ClarisWksSpreadsheet(), readSpreadsheetZone(), sendSpreadsheet(), and sendSpreadsheetAsTable().

The documentation for this class was generated from the following files:

- ClarisWksSpreadsheet.hxx
- ClarisWksSpreadsheet.cxx